package sample;

import java.sql.Timestamp;
import java.time.LocalDateTime;

import org.apache.commons.mail.EmailException;
import org.apache.commons.mail.SimpleEmail;

public class MailSender {

    public String send() throws EmailException {
        final SimpleEmail email = new SimpleEmail();
        email.setHostName("localhost");
        email.setSmtpPort(8025);
        email.setSubject("hello");
        email.setMsg("Hello, world!");
        email.setFrom("from@example.com");
        email.addTo("to@example.com");
        email.setSentDate(Timestamp.valueOf(LocalDateTime.now()));
        return email.send();
    }
}
